Subject: bug#16054: 24.3; Disabling menu bar when minibuffer is active causes cursor to be disconnected from point

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Dec 2013 20:14:30 +0200

> Date: Wed, 4 Dec 2013 16:28:54 +0100
> From: [email-masked]
> 
> * Start a new terminal-mode Emacs:
> 
>     emacs -nw -Q
> 
>   Emacs displays, with menu bar on top of screen.
> 
> * Enable recursive minibuffers:
> 
>     M-: (setq enable-recursive-minibuffers t) RET
> 
> * Type C-x C-f. The minibuffer activates, prompting for a file name.
> 
> * Type C-u - 1 M-x menu-bar-mode RET. Menu bar goes away.
> 
> * Type a file name and RET.
> 
> * Editing now works, but the on-screen cursor does not reflect where
>   point is, but seems to move around somewhat unpredictably, and
>   screen layout is weird.
> 
> Verified on
> 
> * GNU Emacs 24.3.1 (i386-apple-darwin10.8.0, NS apple-appkit-1038.36)
> * GNU Emacs 24.3.1 (sparc-sun-solaris2.10, X toolkit, Xaw scroll bars)
> * GNU Emacs 21.4.1 (x86_64-redhat-linux-gnu, X toolkit, Xaw scroll bars)
> 
> Terminal was Apple's Terminal.app from MacOS 10.7 or XTerm.

FWIW, I cannot reproduce this with the current development trunk,
neither on GNU/Linux nor on MS-Windows.  So I guess it was already
fixed in some way.

In Emacs 24.3 built with --enable-checking, I get an assertion
violation.